Subject: [RFC/DRAFT] SPI OF bindings, MMC-over-SPI, chip-selects and so on

From: Anton Vorontsov <[email-masked]>
Date: Wed, 21 May 2008 19:41:03 +0400

Hi all,

This is just a bait for further discussion of OF/SPI, chip-selects,
e.t.c.

I've converted the spi_mpc83xx to the OF driver (using Grant's
SPI_MASTER_OF work + some additions), and implemented MMC-over-SPI
bindings. This stuff extensively using GPIOs, and I think this will
work for the "bridged SPI" too, since the SPI bridge could be
represented as GPIO controller (inside the SPI controller node).

Thoughts?

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2